Name = {{ tinc_Name_Esc }}

{% if tinc_AddressFamily is defined %}
AddressFamily = {{ tinc_AddressFamily }}
{%endif%}
{% if tinc_BindToAddress is defined %}
BindToAddress = {{ tinc_BindToAddress }}
{%endif%}
{% if tinc_BindToInterface is defined %}
BindToInterface = {{ tinc_BindToInterface }}
{%endif%}
{% if tinc_Broadcast is defined %}
Broadcast = {{ tinc_Broadcast }}
{%endif%}
{% if tinc_DecrementTTL is defined %}
DecrementTTL = {{ tinc_DecrementTTL }}
{%endif%}
{% if tinc_Device is defined %}
Device = {{ tinc_Device }}
{%endif%}
{% if tinc_DeviceType is defined %}
DeviceType = {{ tinc_DeviceType }}
{%endif%}
{% if tinc_DirectOnly is defined %}
DirectOnly = {{ tinc_DirectOnly }}
{%endif%}
{% if tinc_Forwarding is defined %}
Forwarding = {{ tinc_Forwarding }}
{%endif%}
{% if tinc_GraphDumpFile is defined %}
GraphDumpFile = {{ tinc_GraphDumpFile }}
{%endif%}
{% if tinc_Hostnames is defined %}
Hostnames = {{ tinc_Hostnames }}
{%endif%}
{% if tinc_IffOneQueue is defined %}
IffOneQueue = {{ tinc_IffOneQueue }}
{%endif%}
{% if tinc_Interface is defined %}
Interface = {{ tinc_Interface }}
{%endif%}
{% if tinc_KeyExpire is defined %}
KeyExpire = {{ tinc_KeyExpire }}
{%endif%}
{% if tinc_LocalDiscovery is defined %}
LocalDiscovery = {{ tinc_LocalDiscovery }}
{%endif%}
{% if tinc_MACExpire is defined %}
MACExpire = {{ tinc_MACExpire }}
{%endif%}
{% if tinc_MaxTimeout is defined %}
MaxTimeout = {{ tinc_MaxTimeout }}
{%endif%}
{% if tinc_Mode is defined %}
Mode = {{ tinc_Mode }}
{%endif%}
{% if tinc_PingInterval is defined %}
PingInterval = {{ tinc_PingInterval }}
{%endif%}
{% if tinc_PingTimeout is defined %}
PingTimeout = {{ tinc_PingTimeout }}
{%endif%}
{% if tinc_PriorityInheritance is defined %}
PriorityInheritance = {{ tinc_PriorityInheritance }}
{%endif%}
{% if tinc_PrivateKey is defined %}
PrivateKey = {{ tinc_PrivateKey }}
{%endif%}
{% if tinc_PrivateKeyFile is defined %}
PrivateKeyFile = {{ tinc_PrivateKeyFile }}
{%endif%}
{% if tinc_ProcessPriority is defined %}
ProcessPriority = {{ tinc_ProcessPriority }}
{%endif%}
{% if tinc_Proxy is defined %}
Proxy = {{ tinc_Proxy }}
{%endif%}
{% if tinc_ReplayWindow is defined %}
ReplayWindow = {{ tinc_ReplayWindow }}
{%endif%}
{% if tinc_StrictSubnets is defined %}
StrictSubnets = {{ tinc_StrictSubnets }}
{%endif%}
{% if tinc_TunnelServer is defined %}
TunnelServer = {{ tinc_TunnelServer }}
{%endif%}
{% if tinc_UDPRcvBuf is defined %}
UDPRcvBuf = {{ tinc_UDPRcvBuf }}
{%endif%}
{% if tinc_UDPSndBuf is defined %}
UDPSndBuf = {{ tinc_UDPSndBuf }}
{%endif%}

# 	Multiple ConnectTo are allowed here
# 	Escape hostname ".-" disallowed by tinc but allowed by ansible 
# 
{% if tinc_ConnectTo is defined %}
{% for host in tinc_ConnectTo %}
ConnectTo = {{ host | replace('.','_') | replace('-','_') }}
{% endfor %}
{%endif%}

